routes/web.php
<?php

use App\Http\Controllers\AdminController;
use App\Http\Controllers\CityController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::prefix('cms/admin')->group(function(){
    Route::view('/', 'cms.parent');
    Route::view('/dasboard', 'cms.dashboard')->name('cms.dashboard');
    Route::view('/fathers/index', 'cms.fathers.index')->name('cms.fathers.index');
    Route::view('/tables', 'cms.samples.simple');
    Route::view('/forms', 'cms.samples.general');
    Route::view('/advanced', 'cms.samples.advanced');
    Route::resource('cities', CityController::class);
    Route::resource('admins', AdminController::class);
});

resources/views/cms/admins/create.blade.php
@extends('cms.parent')

@section('title', 'CreateAdmin')


@section('page-name', 'Create Admin')
@section('main-page', 'Admins')
@section('sub-page', 'Create Admin')

@section('styles')
  <!-- Select2 -->
  <link rel="stylesheet" href="{{ asset('cms/plugins/select2/css/select2.min.css') }}">
  <link rel="stylesheet" href="{{ asset('cms/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">
  <link rel="stylesheet" href="{{ asset('cms/plugins/toastr/toastr.min.css') }}">
@endsection

@section('content')

  <!-- Main content -->
  <section class="content">
    <div class="container-fluid">
      <div class="row">
        <!-- left column -->
        <div class="col-md-12">
          <!-- general form elements -->
          <div class="card card-primary">
            <div class="card-header">
              <h3 class="card-title">Create Admin</h3>
            </div>
            <!-- /.card-header -->
            <!-- form start -->
            <form role="form" id="create_form">
              @csrf
              <div class="card-body">
                <div class="form-group">
                  <label>Cities</label>
                  <select class="form-control select2" style="width: 100%;" id="city_id">
                    @foreach ($cities as $city)
                      <option value="{{ $city->id }}">{{ $city->name }}</option>
                    @endforeach
                  </select>
                </div>
                <div class="form-group">
                  <label for="first_name">First name</label>
                  <input type="text" class="form-control" id="first_name" placeholder="Enter first name">
                </div>
                <div class="form-group">
                  <label for="last_name">Last name</label>
                  <input type="text" class="form-control" id="last_name" placeholder="Enter last name">
                </div>
                <div class="form-group">
                  <label for="email">Email</label>
                  <input type="email" class="form-control" id="email" placeholder="Enter email">
                </div>
                <div class="form-group">
                  <label for="mobile">Mobile</label>
                  <input type="text" class="form-control" id="mobile" placeholder="Enter mobile">
                </div>
                {{-- <div class="form-group">
                  <div class="custom-control custom-switch">
                    <input type="checkbox" class="custom-control-input" name="active" id="active">
                    <label class="custom-control-label" for="active">Active Status</label>
                  </div>
                </div> --}}
              </div>
              <!-- /.card-body -->
              <div class="card-footer">
                <button type="button" onclick="store()" class="btn btn-primary">Save</button>
              </div>
            </form>
          </div>
          <!-- /.card -->
        </div>
        <!--/.col (left) -->
      </div>
      <!-- /.row -->
    </div><!-- /.container-fluid -->
  </section>
  <!-- /.content -->

@endsection

@section('scripts')
  <!-- Select2 -->
  <script src="{{ asset('cms/plugins/select2/js/select2.full.min.js') }}"></script>
  <script src="{{ asset('cms/plugins/bs-custom-file-input/bs-custom-file-input.min.js') }}"></script>
  <!-- Toastr -->
  <script src="{{ asset('cms/plugins/toastr/toastr.min.js') }}"></script>
  <script type="text/javascript">
    $(document).ready(function() {
      bsCustomFileInput.init();
    });

  </script>

  <script>
    $(function() {
      //Initialize Select2 Elements
      $('.select2').select2({
        theme: 'bootstrap4'
      })
    })

  </script>

  <script>
    function store() {
      axios.post('/cms/admin/admins', {
          city_id: document.getElementById('city_id').value,
          first_name: document.getElementById('first_name').value,
          last_name: document.getElementById('last_name').value,
          email: document.getElementById('email').value,
          mobile: document.getElementById('mobile').value,
        })
        .then(function(response) {
          // handle success
          console.log(response.data);
          document.getElementById('create_form').reset();
          showToast(true, response.data.message);
        })
        .catch(function(error) {
          // handle error
          console.log(error.response);
          showToast(false, error.response.data.message);
        });
    };

    function showToast(status, message) {
      if (status) {
        toastr.success(message)
      } else {
        toastr.error(message)
      }
    }

  </script>

@endsection

resources/views/cms/admins/index.blade.php
@extends('cms.parent')

@section('title', 'Admins')
@section('page-name', 'Index Admins')
@section('main-page', 'Admins')
@section('sub-page', 'Index')

@section('styles')
<link href="{{ asset('css/tailWind.css') }}" rel="stylesheet">
@endsection



@section('content')
  <section class="content">
    <div class="container-fluid">
      <div class="row">
        <div class="col-12">
          <div class="card">
            <div class="card-header">
              <h3 class="card-title">Cities</h3>

              <div class="card-tools">
                <div class="input-group input-group-sm" style="width: 150px;">
                  <input type="text" name="table_search" class="form-control float-right" placeholder="Search">

                  <div class="input-group-append">
                    <button type="submit" class="btn btn-default"><i class="fas fa-search"></i></button>
                  </div>
                </div>
              </div>
            </div>
            <!-- /.card-header -->
            <div class="card-body table-responsive p-0">
              <table class="table table-hover table-bordered text-nowrap">
                <thead>
                  <tr>
                    <th>#</th>
                    <th>F.Name</th>
                    <th>L.Name</th>
                    <th>Email</th>
                    <th>Mobile</th>
                    <th>City</th>
                    <th>Created At</th>
                    <th>Updated At</th>
                    <th>Settings</th>
                  </tr>
                </thead>
                <tbody>
                  @foreach ($admins as $admin)
                    <tr>
                      <td>{{ $admin->id }}</td>
                      <td>{{ $admin->first_name }}</td>
                      <td>{{ $admin->last_name }}</td>
                      <td>{{ $admin->email }}</td>
                      <td>{{ $admin->mobile }}</td>
                      <td>{{ $admin->city->name }}</td>
                      {{-- <td><span @if ($city->active) class="badge bg-success" @else class="badge bg-danger" @endif>{{ $city->status }}</span></td> --}}
                      <td>{{ $admin->created_at->format('y-m-d') }}</td>
                      <td>{{ $admin->updated_at->format('y-m-d') }}</td>
                      <td>
                        <div class="btn-group">
                          <a href="{{ route('admins.edit', $admin->id) }}" class="btn btn-info"><i
                              class="fas fa-edit"></i></a>
                          <a href="#" class="btn btn-danger" onclick="confirmDestroy({{ $admin->id }}, this)"><i
                              class="fas fa-trash"></i></a>
                        </div>
                      </td>
                    </tr>
                  @endforeach

                </tbody>
              </table>
            </div>
            <div class="card-footer clearfix">
              {{ $admins->links() }}
            </div>
            <!-- /.card-body -->
          </div>
          <!-- /.card -->
        </div>
      </div>
      <!-- /.row -->
    </div>
  </section>
@endsection

@section('scripts')

  <script>
    function confirmDestroy(id, td) {
      console.log('CITY ID : ' + id);
      Swal.fire({
        title: 'Are you sure?',
        text: "You won't be able to revert this!",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Yes, delete it!'
      }).then((result) => {
        if (result.isConfirmed) {
          destroy(id, td);
        }
      });
    }

    function destroy(id, td) {
      axios.delete('/cms/admin/cities/' + id)
        .then(function(response) {
          // handle success
          console.log(response);
          showAlert(response.data);
          td.closest('tr').remove();
        })
        .catch(function(error) {
          // handle error
          console.log(error);
          showAlert(error.response.data);
        })
        .then(function() {
          // always executed
        });
    }

    function showAlert(data) {
      let timerInterval
      Swal.fire({
        title: data.title,
        text: data.message,
        icon: data.icon,
        timer: 2000,
        showConfirmButton: false,
        timerProgressBar: false,
        didOpen: () => {
         // Swal.showLoading()
        },
        willClose: () => {
          clearInterval(timerInterval)
        }
      }).then((result) => {
        /* Read more about handling dismissals below */
        if (result.dismiss === Swal.DismissReason.timer) {
          console.log('I was closed by the timer')
        }
      })
    }

  </script>

@endsection